﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Web;

namespace QPR.QPRSuite.NCalc {

    public class arrayunique : CustomFunctionBase {

        public arrayunique(FunctionArgs args, IContextManager context)
            : base(args, context, 1, new string[] { "object[]" }) {
        }

        public override object evaluate() {
            object[] inputArray = (object[])this.parameters[0];
            if (inputArray == null) return null;
            List<object> uniqueData = new List<object>();
            for (int i = 0; i < inputArray.Length; i++) {
                if (!uniqueData.Contains(inputArray[i])) uniqueData.Add(inputArray[i]);
            }
            return uniqueData.ToArray();
        }

    }
}