﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System;
using System.Collections.Generic;

namespace QPR.QPRSuite.NCalc {

    public class coalesce : CustomFunctionBase {

        public coalesce(FunctionArgs args, IContextManager context)
            : base(args, context, 2, new string[] { "object", "object" }) {
        }

        public override object evaluate() {
            int index = 0;
            while (index < this.parameters.Length) {
                if ((!(this.parameters[index] is string) && this.parameters[index] != null) || ((this.parameters[index] is string) && !String.IsNullOrEmpty((string)this.parameters[index]))) {
                    return this.parameters[index];
                }
                index++;
            }
            return this.parameters[0];
        }

    }
}