﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;

namespace QPR.QPRSuite.NCalc {
    public class endswith : CustomFunctionBase {

        public endswith(FunctionArgs args, IContextManager context)
            : base(args, context, 2, new string[] { "string", "string" }) {
        }

        public override object evaluate() {
            string stringToSearch = (string)this.parameters[0];
            if (stringToSearch == null) return false;
            string searchedString = (string)this.parameters[1];
            if (searchedString == null) return false;
            return stringToSearch.EndsWith(searchedString);
        }

    }
}