﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System;
using System.Globalization;

namespace QPR.QPRSuite.NCalc {
    public class isnumeric : CustomFunctionBase {

        public isnumeric(FunctionArgs args, IContextManager context)
            : base(args, context, 1, new string[] { "string", }) {
        }

        public override object evaluate() {
            string inputString = (string)this.parameters[0];
            double valueAsDouble;
            return Double.TryParse(inputString, NumberStyles.Any, CultureInfo.InvariantCulture, out valueAsDouble);
        }

    }
}