﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;

namespace QPR.QPRSuite.NCalc {

    public class itemat : CustomFunctionBase {

        public itemat(FunctionArgs args, IContextManager context)
            : base(args, context, 2, new string[] { "object[]", "int" }) {
        }

        public override object evaluate() {
            object[] inputArray = (object[])this.parameters[0];
            int itemIndex = (int)this.parameters[1];
            if (itemIndex < 0 || inputArray == null) return null;
            if (inputArray.Length <= itemIndex) return null;
            return inputArray[itemIndex];
        }

    }
}