﻿using System.Collections.Generic;

namespace QPR.QPRSuite.AcceleratorTools {
    public class MemoryLogger : LoggerBase {

        private List<string> logLines = new List<string>();

        public MemoryLogger(IContextManager context)
            : base(context) {
        }

        public override void writeLog(string logLine, LogLevel logLevel) {
            if (this.doWriteLine(logLevel)) {
                this.logLines.Add(logLine);
            }
        }
    }
}
