﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System.Collections.Generic;
using System.Linq;

namespace QPR.QPRSuite.NCalc {
    public class arrayintersect : CustomFunctionBase {

        public arrayintersect(FunctionArgs args, IContextManager context)
            : base(args, context, 2, new string[] { "object[]", "object[]" }) {
        }

        public override object evaluate() {
            object[] inputArray1 = (object[])this.parameters[0];
            object[] inputArray2 = (object[])this.parameters[1];
            if (inputArray1 == null) return inputArray2;
            if (inputArray2 == null) return inputArray1;
            List<object> outputList = new List<object>();
            for (int i = 0; i < inputArray1.Length; i++) {
                if (inputArray2.Contains(inputArray1[i])) outputList.Add(inputArray1[i]);
            }
            return outputList.ToArray();
        }

    }
}