﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;

namespace QPR.QPRSuite.NCalc {
    public class createdataset : CustomFunctionBase {

        public createdataset(FunctionArgs args, IContextManager context)
            : base(args, context, 1, new string[] { "string[]" }) {
        }

        public override object evaluate() {
            string[] columns = (string[])this.parameters[0];
            if (columns == null || columns.Length == 0) return null;
            return new DataSet(columns);
        }

    }
}