﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using System.Linq;

namespace QPR.QPRSuite.NCalc {

    public class indexofinarray : CustomFunctionBase {

        public indexofinarray(FunctionArgs args, IContextManager context)
            : base(args, context, 2, new string[] { "object[]", "object" }) {
        }

        public override object evaluate() {
            object[] inputArray = (object[])this.parameters[0];
            if (inputArray == null) return -1;
            return inputArray.ToList().IndexOf((object)this.parameters[1]);
        }

    }
}