﻿using NCalc;
using QPR.QPRSuite.AcceleratorTools;
using QPR.QPRSuite.AcceleratorTools.QPRWebService;

namespace QPR.QPRSuite.NCalc {
    public class latestvalueperiod : CustomFunctionBase {

        public latestvalueperiod(FunctionArgs args, IContextManager context)
            : base(args, context, 2, new string[] { "String", "String" }) {
        }

        public override object evaluate() {
            string objectId = (string)this.parameters[0];
            string series = (string)this.parameters[1];
            ResultSet results = this.context.getWebServiceClient().queryObjects("[" + objectId + "]", "", "", "values(series=\"" + series + "\")", "");
            if (results != null && results.ChildElements != null && results.ChildElements.Length > 0 && results.ChildElements[0].ChildElements != null && results.ChildElements[0].ChildElements.Length > 0 && results.ChildElements[0].ChildElements[0].ChildElements != null && results.ChildElements[0].ChildElements[0].ChildElements.Length > 0 && results.ChildElements[0].ChildElements[0].ChildElements[0].ChildElements != null) {
                for (int i = results.ChildElements[0].ChildElements[0].ChildElements[0].ChildElements.Length - 1; i > -1; i--) {
                    if (((Element)results.ChildElements[0].ChildElements[0].ChildElements[0].ChildElements[i]).Attributes != null && ((Element)results.ChildElements[0].ChildElements[0].ChildElements[0].ChildElements[i]).Attributes.Length > 1) {
                        return ((Element)results.ChildElements[0].ChildElements[0].ChildElements[0].ChildElements[i]).Attributes[0].Value;
                    }
                }
            }
            return "";
        }

    }
}
