﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using QPR.QPRSuite.NCalc;
using QPR.QPRSuite.AcceleratorTools;

namespace QPR.QPRSuite {
    class Program {
        static void Main(string[] args) {
            Dictionary<string, string> parameterDictionary = new Dictionary<string, string>();
            parameterDictionary.Add("qprwebserviceaddress", "http://olli2015dev.onqpr.com/QPR/Portal/QPR.Isapi.dll/wsforward/mainservice.svc/wshttp");
            parameterDictionary.Add("dwrtemplatesphysicalpath", "C:\\Projektit\\Dynamic Word Reports\\Templates");
            parameterDictionary.Add("wcfsecuritymode", "none");
            parameterDictionary.Add("qprauthenticationmode", "fixedcredentials");
            parameterDictionary.Add("username", "qpr");
            parameterDictionary.Add("password", "d3m0");
            parameterDictionary.Add("onlyfilesystemtemplates", "false");

            ContextManager serviceContext = new ContextManager(parameterDictionary);
            try {
                object result = serviceContext.getExpressionEngine().evaluateExpressionAsObject("DiagramPath('PG.1374444994.3510.388222698', 'description', 'parentobjects' , '//', '')");
                //object result = serviceContext.getExpressionEngine().evaluateExpressionAsObject("MetricsMeasureValues(AddDatasetRow(CreateDataset(toarray('id,series', ',')), 'SC.510485542.1587392051', 'ACT'), 'id', 'series', 'value', '1', '10')");
            } catch (Exception e) {
                string errorTexts = "";
                string errorStackTraces = "";
                Exception exception = e;
                while (exception != null) {
                    errorTexts = exception.Message + "\r\n" + errorTexts;
                    errorStackTraces = "Stack trace" + ":\r\n" + exception.StackTrace + "\r\n\r\n" + errorStackTraces;
                    exception = exception.InnerException;
                }
                Console.Write(errorTexts);
                Console.Write(errorStackTraces);
            }


        }
    }
}
